> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localops.co/llms.txt
> Use this file to discover all available pages before exploring further.

# License tokens

While your managed deployments via LocalOps works out of the box where you have more control over your customer
deployments, you may need to have some control and means of validating and authenticating the deployments that are done
via no access delivery. This can be done via License Tokens

License tokens can do the following:

* Validate your deployment
* Provide authentication for your private images
* Track usages and deployments for billing purposes
* Provides validation api

## Validation API

When you create a license token, you can make use of the validation api to control your deployment. You can access this
token in your app via `BYOC_LICENSE_TOKEN` environment variable.

For example, you can bundle this api in your app and do a start up check to check if the license token is valid and run
your services. You can also run a background job to check the status of the license token and stop your services if the
license token is expired.

API Reference

```
GET https://<yourcustomdomain.com>/licenses/validate
```

<Note>You should set first the custom domain for your company in the LocalOps console.</Note>

**Authentication**

The license token validation endpoint uses Bearer token authentication. You can provide the token in the Authorization
header as follows:

```
Authorization: Bearer <your_license_token>
```

You will get a `200 OK` response if the token is valid and `401 Unauthorized` if the token is invalid.
